Loading...
Searching...
No Matches
oval_state.c File Reference

Open Vulnerability and Assessment Language. More...

`#include <stdlib.h>`
`#include <stdio.h>`
`#include <string.h>`
`#include "oval_definitions_impl.h"`
`#include "adt/oval_collection_impl.h"`
`#include "oval_agent_api_impl.h"`
`#include "common/util.h"`
`#include "common/debug_priv.h"`
`#include "common/elements.h"`
Include dependency graph for oval_state.c:

## Data Structures

struct | oval_state
| An Oval_state instance is a collection of one or more characteristics pertaining to a specific object type. More...

## Typedefs

typedef struct oval_state | oval_state_t

## Functions

bool | oval_state_iterator_has_more (struct oval_state_iterator *oc_state)
struct oval_state * | oval_state_iterator_next (struct oval_state_iterator *oc_state)
void | oval_state_iterator_free (struct oval_state_iterator *oc_state)
oval_family_t | oval_state_get_family (struct oval_state *state)
oval_subtype_t | oval_state_get_subtype (struct oval_state *state)
const char * | oval_state_get_name (struct oval_state *state)
struct oval_string_iterator * | oval_state_get_notes (struct oval_state *state)
struct oval_state_content_iterator * | oval_state_get_contents (struct oval_state *state)
char * | oval_state_get_comment (struct oval_state *state)
char * | oval_state_get_id (struct oval_state *state)
bool | oval_state_get_deprecated (struct oval_state *state)
int | oval_state_get_version (struct oval_state *state)
int | oval_state_get_operator (struct oval_state *state)
struct oval_state * | oval_state_new (struct oval_definition_model *model, const char *id)
struct oval_state * | oval_state_clone (struct oval_definition_model *new_model, struct oval_state *old_state)
void | oval_state_free (struct oval_state *state)
void | oval_state_set_subtype (struct oval_state *state, oval_subtype_t subtype)
void | oval_state_add_note (struct oval_state *state, char *notes)
void | oval_state_set_comment (struct oval_state *state, char *comm)
void | oval_state_set_deprecated (struct oval_state *state, bool deprecated)
void | oval_state_set_version (struct oval_state *state, int version)
void | oval_state_set_operator (struct oval_state *state, oval_operator_t operator)
void | oval_state_add_content (struct oval_state *state, struct oval_state_content *content)
oval_schema_version_t | oval_state_get_platform_schema_version (const struct oval_state *state)
int | oval_state_parse_tag (xmlTextReaderPtr reader, struct oval_parser_context *context, void *usr)
xmlNode * | oval_state_to_dom (struct oval_state *state, xmlDoc *doc, xmlNode *parent)

## Detailed Description

Open Vulnerability and Assessment Language.

See more details at http://oval.mitre.org/